Subject: Re: [PATCH] ip6tables: use skb->len for accounting

From: Patrick McHardy <[email-masked]>
Date: Fri, 23 Jul 2010 16:21:11 +0200

On 23.07.2010 15:05, Changli Gao wrote:
> On Fri, Jul 23, 2010 at 7:48 PM, Patrick McHardy <[email-masked]> wrote:
>> On 23.07.2010 08:38, Changli Gao wrote:
>>>
>>> For the packets received, ip_rcv, ipv6_rcv and bridge all call
>>> pskb_trim_rcsum before feeding them to netfilter. The raw packets are
>>> sent via dev_queue_xmit(), and they don't pass through the output path
>>> of netfilter.
>>
>> That's not true, raw packets also pass through netfilter. However
>> I agree that this patch makes sense to properly deal with jumbo
>> frames, but you should also update xt_length for consistency.
>>
> 
> In order to support jumbo frames, we have to change the type of min
> and max in xt_length_info to u32.

I see. In that case I'll apply your skb->len patches as they are,
so please make the xt_length change in a new patch.

> I'll change xt_match.revision to 1,
> do I need to support the current revision 0 at the same time?

You should simply keep the revision 0 code as it is. Revision 1,
using skb->len, can be used for both IPv4 and IPv6.